Skip to main content

Get DID Line Information

This request returns data for DID line information.

get /phonenumber/dids/{did_sid}/line_information

Sample​

A sample GET request to get DID Line Information object for the DID, targeted by secure ID:

curl -X GET \
'https://api.carrierx.com/core/v2/phonenumber/dids/0493d917-e23c-41db-8067-0c986df71007/line_information' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 status code with a serialized copy of the DID Line Information object:

{
"caller_name": "John Smith",
"class_of_service": "business",
"enabled": true,
"extended_business_name": "J Smith Carpenter",
"extended_first_name": "John",
"extended_last_name": "Smith",
"privacy": "public",
"screening": "allow_all"
}

This request is enabled for Field Filtering.

Required Scopes​

To get information about DID Line Information objects, the partner must have one of the following scopes enabled:

  • phonenumber.line_information.manage
  • phonenumber.line_information.read

Path Arguments​

ParameterData TypeDescription
did_sid requiredstringThe DID secure ID.